Subject: Re: bug#70386: 30.0.50; (recenter 0 t) does not put point on top of the window

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 May 2024 12:17:02 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 12 May 2024 07:17:29 +0000
> 
> > It is still very much unpredictable: sometimes shows the last line at
> > the window's top, sometimes doesn't.
> 
> I am mostly concerned about the case when the line _does not_ move to
> window's top. The other case is what I observed in the past as well. It
> is only the case when nothing is moved between begin/end states that
> appeared recently.

It never happens that "nothing is moved" here.  What I see is that the
window is scrolled as expected, and then scrolled (or recentered?)
back.